Package com.tibco.patterns.learn.rlink

## Class ConfRatioLabel

- java.lang.Object
- - com.tibco.patterns.learn.rlink.ConfRatioLabel

- All Implemented Interfaces:
    `Confidence`

      public class ConfRatioLabel
      extends java.lang.Object
      implements Confidence

  Label based confidence measure. Immutable class.

  This measure is available for model versions RFV5 and higher (ibi Patterns 5.4). It takes into account the feature scores seen and the prediction made by the model. The output confidence is in interval [0; 1]. Values below 0.5 indicate that the individual training pairs seen for this general score region disagreed with the prediction made by the model. This measure does not take into account the exact combination of feature scores.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfRatioLabel()` | Create an instance with default values.
    `ConfRatioLabel​(int confidentNExamples, double confidentPercentExamples, double minCorrectPercent)` | Create an instance with specific parameter values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getConfType()` | Return the confidence type.
    `double` | `getDblArg​(int idx)` | Return a double parameter.
    `int` | `getIntArg​(int idx)` | Return an integer parameter.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfRatioLabel

          public ConfRatioLabel()

      Create an instance with default values.

    - #### ConfRatioLabel

          public ConfRatioLabel​(int confidentNExamples,
                                double confidentPercentExamples,
                                double minCorrectPercent)

      Create an instance with specific parameter values.
      Parameters:
        `confidentNExamples` - - the minimum number of supporting training examples (minus any conflicting examples) needed to reach full confidence for a feature value region. Not all examples train all regions, so this is not a count of the examples in the training set. This counts only the examples seen on the first training iteration.
        `confidentPercentExamples` - - the minimum percentage of supporting training examples (minus any conflicting examples) needed to reach full confidence for a feature value region. 100% represents the total number of examples seen for the same subset of feature values.
        `minCorrectPercent` - - percent of remaining correct examples. Larger values reduce noise in confidence values for feature scores near 0.0 or 1.0.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getConfType

          public int getConfType()

      Return the confidence type.
      Specified by:
        `getConfType` in interface `Confidence`
      Returns:
        the confidence type for the Label measure.

    - #### getIntArg

          public int getIntArg​(int idx)

      Return an integer parameter. The first parameter is the minimum confidence count.
      Specified by:
        `getIntArg` in interface `Confidence`
      Parameters:
        `idx` - the integer parameter index, zero based.
      Returns:
        The minimum confidence count for index 0, -1 otherwise.

    - #### getDblArg

          public double getDblArg​(int idx)

      Return a double parameter. The confidence percent and minimum correct percent values.
      Specified by:
        `getDblArg` in interface `Confidence`
      Parameters:
        `idx` - the double parameter index, zero based.
      Returns:
        index 0: the confidence percent, index 1: the minimum correct percentage, -1.0 for all other indexes.